<?php
/**
 * Template part for displaying posts
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Amazonrise
 */

?>

<article id="post-<?php the_ID(); ?>" <?php post_class('post-blog-article posts-entry'); ?>>
	<header class="entry-header">
		<?php
		if ( is_singular() ) :
			amazonrise_entry_categories();
			the_title( '<h1 class="single-entry-title">', '</h1>' );
		else :
			the_title( '<h2 class="single-entry-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h2>' );
		endif;

		if ( 'post' === get_post_type() ) : ?>
		<div class="entry-meta">
			<?php amazonrise_posted_on(); ?>
		</div><!-- .entry-meta -->
		<?php
		endif; ?>
	</header><!-- .entry-header -->

	<div class="entry-content">
		<?php the_content(); ?>

		<?php
			wp_link_pages( array(
				'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'amazonrise' ),
				'after'  => '</div>',
			) );
		?>
	</div><!-- .entry-content -->
</article><!-- #post-<?php the_ID(); ?> -->
