<?php
/**
 * The template for displaying the footer
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package Amazonrise
 */

?>
		</div>
	</div><!-- #content -->

	<footer id="colophon" class="site-footer clearfix">
		
		<div class="content-wrap">
			
			<div class="site-info">

				<?php amazonrise_footer_copyright(); ?>
				
			</div><!-- .site-info -->

			<?php if ( has_nav_menu( 'menu-2' ) ) : ?>
				<nav id="footer-site-navigation" class="fmenu">

					<?php
						wp_nav_menu( array(
							'theme_location'	=> 'menu-2',
							'menu_id'			=> 'footer-menu',
							'menu_class'		=> 'footer-menu'
						) );
					?>

				</nav><!-- #footer-site-navigation -->
			<?php endif; ?>

		</div>

	</footer><!-- #colophon -->
</div><!-- #page -->

<?php wp_footer(); ?>
</body>
</html>
