<?php 

/**
|------------------------------------------------------------------------------
| Custom style options
|------------------------------------------------------------------------------
 */

function amazonrise_custom_style() {
	?>
	<style type="text/css">
		
		.entry-content .entry-title a:hover,
		.entry-meta span a,
		.entry-footer span a,
		.entry-meta span a:hover,
		.entry-footer span a:hover,
		.page-numbers.current,
		.pagination a:hover,
		.posts-related ul.related-grid li .related-ptitle:hover,
		.widget ul li a:hover,
		.paging-navigation .nav-links .nav-previous a:hover,
		.paging-navigation .nav-links .nav-next a:hover {
			color: <?php echo esc_html( get_theme_mod('amazonrise_general_primary_color', '#0073e5') ) ?>;
		}
		.bottom-heading,
		.posts-entry .more-link-wrap,
		button, input[type="button"],
		input[type="reset"],
		input[type="submit"] {
			background-color: <?php echo esc_html( get_theme_mod('amazonrise_general_primary_color', '#0073e5') ) ?>;
		}
		.xgnotification-top a {
			background-color: <?php echo esc_html( get_theme_mod('amazonrise_general_notify_anchors_text', '#0073e5') ) ?>;
		}
		.xgnotification-top a:hover {
			background-color: <?php echo esc_html( get_theme_mod('amazonrise_general_notify_anchors_text_hover', '#11171a') ) ?>;
		}

		.banner-branding h1,
		.banner-branding h2,
		.banner-branding h3,
		.banner-branding h4,
		.banner-branding h5,
		.banner-branding h6,
		.banner-branding a,
		.banner-branding p {
			color: <?php echo esc_html( get_theme_mod('amazonrise_general_header_banner_text_color', '#fff') ) ?>;
		}

	</style>
	<?php
}
add_action('wp_head','amazonrise_custom_style');